/*###############################################################################
## ETiles project
##
## Copyright (C) 2010 Carlos Villegas Núñez  carlos.villegasnunez@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################*/

#include "dnuevoproyecto.h"
#include "ui_dnuevoproyecto.h"
#include "ventanaprincipal.h"

DNuevoProyecto::DNuevoProyecto(VentanaPrincipal *parent) :
    QDialog(parent),
    m_ui(new Ui::DNuevoProyecto)
{
    pvp=parent;

    m_ui->setupUi(this);
}

DNuevoProyecto::~DNuevoProyecto()
{
    delete m_ui;
}

void DNuevoProyecto::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        m_ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void DNuevoProyecto::on_BAceptar_clicked()
{
    pvp->CrearNuevoMapa(m_ui->EAnchuraTile->text().toInt(),m_ui->EAlturaTile->text().toInt(),m_ui->ENumAnch->text().toInt(),m_ui->ENumAltu->text().toInt());
    accept();
}

void DNuevoProyecto::on_BRechazar_clicked()
{
    reject();
}
